package com.hikcreate.base

import com.hikcreate.utils.CommonUtils
import org.apache.spark.sql.{DataFrame, SparkSession}
import org.slf4j.LoggerFactory

class OfflineBase extends Serializable {

  protected val LOG = LoggerFactory.getLogger("OfflineBase")

  private val sparkSession = CommonUtils.getSparkSession()


  def doBussiness(): Unit = {
    doTask(sparkSession)
  }

  /**
    * 子类需要重写的业务方法
    *
    * @param sparkSession sparkSession
    */
  protected def doTask(sparkSession: SparkSession): Unit = {

  }
  /**
    * 将数据保存到hive表中
    *
    * @param dataFrame  dataframe
    */
  protected def saveDataToHive(dataFrame: DataFrame, mode: String, tableName: String): Unit = {
    dataFrame
      .write
      .format("hive")
      .mode(mode)
      .insertInto(tableName)
  }


}
