package com.hikcreate.config

import com.ctrip.framework.apollo.{Config, ConfigService}

object ApolloConst {
  val config: Config = ConfigService.getConfig("application")
  //每次执行全量的时间
  val frequencyTime: String = config.getProperty("frequency_date", null)
  //基础信息表
  val baseInfo: List[String] = List(
    config.getProperty("hive.KAFKA_base_into_platform_info.table", null), //接入平台
    config.getProperty("hive.KAFKA_base_into_enterprise_info.table", null), //企业信息
    config.getProperty("hive.KAFKA_base_into_vehicle_info.table", null), //接入车辆
    config.getProperty("hive.KAFKA_base_data_display_config.table", null), //数据展示配置
    config.getProperty("hive.KAFKA_base_warning_type.table", null) //报警类型配置
  )
  //智能视频报警附件上传结果上报
  val file_Complete_Table: String = config.getProperty("hive.UP_PREVENTION_MSG_FILE_COMPLETE.table", null)
  //定时上传驾驶员身份识别信息
  val report_Driver_Table: String = config.getProperty("hive.UP_PREVENTION_EXG_MSG_REPORT_DRIVER.table", null)
  //视频报警设备参数查询请求
  val device_Param_Table: String = config.getProperty("hive.UP_PREVENTION_EXG_MSG_DEVICE_PARAM.table", null)
  //补报车辆静态信息
  val vehicle_Add: String = config.getProperty("hive.UP_BASE_MSG_VEHICLE_ADDED.table", null)
  //上报车辆行驶记录
  val take_Travel: String = config.getProperty("hive.UP_CTRL_MSG_TAKE_TRAVEL.table", null)
  //上报报警信息消息
  val warn_Info_Table: String = config.getProperty("hive.UP_WARN_MSG_ADPT_INFO.table", null)
  //报警督办请求消息和应答
  val warn_Todo_Table: List[String] = List(
    config.getProperty("hive.KAFKA_UP_WARN_MSG_URGE_TODO.table", null), //报警督办请求信息
    config.getProperty("hive.KAFKA_DOWN_WARN_MSG_URGE_TODO.table", null) //报警督办应答消息
  )
  //上报车辆电子运单
  val ewaybill_Table: String = config.getProperty("hive.UP_EXG_MSG_TAKE_EWAYBILL_ACK.table", null)
  //实时上传车辆定位消息和定位信息补报
  val real_Location_Table: List[String] = List(
    config.getProperty("hive.UP_EXG_MSG_REAL_LOCATION.table", null), //实时上传车辆定位消息
    config.getProperty("hive.KAFKA_UP_EXG_MSG_HISTORY_LOCATION.table", null) //车辆定位信息补报
  )
  //上传车辆注册信息消息
  val register_Table: String = config.getProperty("hive.UP_EXG_MSG_REGISTER.table", null)
  //从链路连接成功
  val down_Connect_Table: String = config.getProperty("hive.DOWN_CONNECT.table", null)
  //主链路断开
  val up_Disconnection_Inform_Table: String = config.getProperty("hive.UP_DISCONNECT_INFORM.table", null)
  //主链路注销
  val up_Disconnect_Table: String = config.getProperty("hive.UP_DISCONNECT_REQ.table", null)
  //下级平台登录到上级平台
  val up_Connection_Table:String = config.getProperty("hive.UP_CONNECT_REQ.table", null)
  //在线和心跳响应
  val ods_Heart_Table:Array[String]=Array(
    config.getProperty("hive.DOWN_LINKTEST.table", null), //从链路连接保持应答
    config.getProperty("hive.UP_LINKTEST_REQ.table", null) //主链路链路保持
  )
}
