package com.hikcreate.config

import com.hikcreate.launcher.Main
import org.apache.log4j.Logger

/**
  * @program: com.hikcreate.config->Logging
  * @description: 日志接口
  * @author: wangjiancheng
  * @create: 2020/2/11 14:21
  **/
//noinspection ScalaDocUnknownTag
trait Logging {
  private val log = Logger.getLogger(this.getClass)

  protected def debug(msg: => String): Unit =  log.debug(msg)

  protected def info(msg: => String): Unit =  log.info(msg)

  protected def warn(msg: => String): Unit =  log.warn(msg)

  protected def error(msg: => String): Unit = log.error(msg)

  protected def error(msg: => String, exception: Exception): Unit =  {
    log.error(msg)
    exception.printStackTrace()
  }

}
