package com.hikcreate.task

import com.hikcreate.base.OfflineBase
import com.hikcreate.config.Logging
import com.hikcreate.utils.CommonUtils
import org.apache.spark.sql.SparkSession

class Train extends OfflineBase with Logging {

  override protected def doTask(sparkSession: SparkSession): Unit = {

    sparkSession.sql("set hive.exec.dynamic.partition=true")
    sparkSession.sql("set hive.exec.dynamic.partition.mode=nostrict")

    val DWB_safe_drive_sql ="""select * from
      |table""".stripMargin

    val safeTotal = sparkSession.sql(DWB_safe_drive_sql)

    CommonUtils.insertDateIntoTable(safeTotal, "overwrite", "dwb_topic.dwb_safe_total")
  }

}
